<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:regExp="http://exslt.org/regular-expressions"
				extension-element-prefixes="regExp">
	
	<!-- Identity transformation -->
	<xsl:template match="/ | @* | * | comment() | processing-instruction() | text()">
		<xsl:copy>
			<xsl:apply-templates select="@* | * | comment() | processing-instruction() | text()" />
		</xsl:copy>
	</xsl:template>
   
	<!-- configure output  --> 	
	<xsl:output method="xml" encoding="UTF-8"/>     	      
	
    <!-- Treat the Config part -->
    <xsl:template match="/Config">
   
		<!-- Re-copy the Config node -->   
		<xsl:element name = "{name(.)}">
		
			<!-- change version attribute value from 1.9 to 2.0 -->  
			<xsl:attribute name = "version">2.0</xsl:attribute>
						
			<xsl:apply-templates select="*" />
			
		</xsl:element>
	</xsl:template>
	
	<xsl:template match="/Config/RSServers">  	
		<xsl:copy>
			<!-- keep the attributes -->
			<xsl:copy-of select="@*"/>
			
			<!-- Do not use Public Server -->
			<xsl:attribute name="UsePublicServer">false</xsl:attribute>
			
			<xsl:for-each select="RSServer">
				<!-- Remove info about Public Server-->
				<xsl:if test="translate(@IsPublic,'TRUE','true')='true'"/>
			
				<!-- use tassag.workspace3d.com instead of soliseo.workspace3d.com -->
				<xsl:if test="translate(@IsPublic,'TRUE','true')!='true'">
					<xsl:if test="contains(Address, 'soliseo.workspace3d.com')">
						<xsl:copy>
							<xsl:copy-of select="@*"/>
							<xsl:element name = "Address">
								<xsl:value-of select="'https://tassag.workspace3d.com/workspace3d/'"/>
							</xsl:element>
							<xsl:copy-of select="Login | Password"/>
						</xsl:copy>
					</xsl:if>
					<!-- if this is not the Tixeo public server, keep it the same -->
					<xsl:if test="not(contains(Address, 'http://meet.workspace3d.com')) and not(contains(Address, 'soliseo.workspace3d.com'))">
						<xsl:copy>
							<xsl:copy-of select="@*"/>
							<xsl:copy-of select="*"/>
						</xsl:copy>
					</xsl:if>
				</xsl:if>
			</xsl:for-each>
		</xsl:copy>
	</xsl:template>

</xsl:stylesheet>